	struct RECT
	{
		unsigned char X,Y,Width,Height;	
	};

	struct VPORT
	{
		unsigned char Left,Top,Right,Bottom;	
	};

	struct GOBJ
	{
		int X,Y;			// (*) A sprite 16 bites előjeles koordinátája.
		unsigned char SprInd;		// (*) A sprite indexe az exportált munkamenetben
		unsigned char Flag;		// (*) 0. bit: jelzi, hogy a sprite be van-e kapcsolva, a 7. pedig, ha tükrözni kell.
		char *SprBackAddr;		// (*) A sprite háttér mentése számára lefoglalt mem. blokk kezdőcíme. Ha nem kell menteni a hátteret akkor az értéke 0!
		char *SprPalAddr;		// (*) A sprite palettájának címe. Ha nincs paletta, akkor értéke 0!
		int (*spritefunc)();		// (*) A sprite kirajzoló rutin kezdőcíme
		unsigned char SprWidth;		// A sprite szélessége
		unsigned char SprHeight;	// A sprite magassága
		unsigned char SprIndRef;	// Sprite index referencia. Azért kell, hogy el tudjuk dönteni kell-e újra inicializálni a sprite alap adatait (pl. RawAddr)
		char *SprRawAddr;		// Az adott sprite forrás adatai
		char *SprScrAddr;		// A sprite vágás utáni kezdőcíme a képernyőn v. háttér bufferben
		unsigned char SprClipSkipRow;	// A sprite felső vágásánál ezen a változón tárolódik, hogy hány sort kell felül kihagynia a sprite kirajzolónak
		struct RECT SprClip;		// A sprite vágás utáni dimenziói
		struct RECT SprPrevClip;	// A sprite előző fázisban értelmezett vágás utáni dimenziói
		unsigned char SprClipFlag;	// A sprite vágási állapotát tárolja le a sprite kirakónak
	};

struct GOBJ gameObjects[2];
struct GOBJ *goIndex[2];
unsigned char robotPal[8] = {0,PAL_BLUE*3,PAL_RED*3,PAL_WHITE*3,0,0,0,0};
char backChar[6*32];
char backRobot[4*21];

main()
{
	struct GOBJ *ptr;

	DbInitGameLib(2, gameObjects, 2);
	
	DbFillBox(0, 0, 64, 240, PAL_DARKGREEN);
	DbCopyScreenRect(0, 0, 64, 240);
	
	ptr = gameObjects;
	goIndex[0] = DbInitGameObject(ptr,30,60,0,GOFLG_VISIBLE, DbSprite16c8Cut,backChar,0);
	goIndex[1] = DbInitGameObject(++ptr,20,90,2,GOFLG_VISIBLE, DbSprite16c8Cut,backRobot,robotPal);

	while(IsKeyDown(KEY_4) == 0)
	{
		if(goIndex[0]->X == -6) 
			goIndex[0]->X = 64;
		else
			--goIndex[0]->X;
		DbRender();
	}

	DbCloseGameLib();
}


#asm   // A grafikus munkaasztalból importált adatok. NE VÁLTOZTASD MEG!
		;{	Enumerált sprite indexek. Célszerű a főprogram elejére másolni!
				enum	SPR_IND_ITEM_ARMCHAIR,
					SPR_IND_PLAYER,
					SPR_IND_ROBOT

		;}

	GfxBaseAddr		dw	SpriteCount-GfxBaseAddr,0,0

	;{   Sprite-ok adatai (Automatikusan beemelve!)
	SpriteCount		db 3
	SpriteIndexArray
				dw	0,162,248

	SpriteDataBuffer	ds	0,0
	DecompressBuffer	ds	0,0

	SpriteBaseAddr
	item_armchair
				db	6+128			; A sprite szélessége byte-okban
				db	32			; A sprite magassága
				db	0,3,12,204,252,255,0,63			; A sprite szín adatai
				db	0,7,119,152,0,4,68,152,0,4,84,152,0,116,84,112,144,0,69,85,64,144,0,69,85,64,144,7,149,87,144,4
				db	149,84,144,4,149,84,144,4,156,0,51,144,112,0,3,34,0,7,112,0,2,34,144,112,0,2,34,0,7,112,0,2
				db	34,144,112,0,2,34,0,5,112,0,50,34,144,112,0,146,144,112,0,34,32,144,112,0,34,32,144,112,0,34,32,147
				db	115,51,34,32,146,114,146,32,146,114,146,32,146,114,146,0,2,34,114,146,0,2,34,114,146,0,2,34,114,146,0,2
				db	34,114,146,0,2,34,114,146,0,2,34,114,146,0,2,34,114,146,0,1,151,112,1,0
	player
				db	3			; A sprite szélessége byte-okban
				db	28			; A sprite magassága
				db	0,1,16,0,1,32,0,2,32,0,2,32,0,2,0,0,18,0,0,34,0,0,34,0,0,33,0,0,33,0,0,34
				db	0,1,34,0,1,18,32,1,16,34,1,17,2,1,17,0,1,17,16,1,17,16,0,17,16,0,16,17,1,16,17,1
				db	17,16,1,1,16,17,1,16,16,1,0,16,17,0,16,17,0,17,1,16
	robot
				db	4			; A sprite szélessége byte-okban
				db	21			; A sprite magassága
				db	0,32,144,0,32,144,3,51,0,16,17,51,3,16,153,16,3,51,3,16,0,3,0,16,0,51,48,0,1,49,49,0
				db	155,48,19,35,35,16,19,50,51,48,155,16,51,17,19,48,19,17,19,16,19,17,19,48,155,48,3,19,19,0,0,17
				db	16,0,0,17,16,0,0,2,144

	;}
	;{   A Scene-ek adatai (Automatikusan beemelve!)
	SceneCount		db 	0		; Érvénytelen adatok, csak azért kellenek, hogy a dt_80lib beforduljon
	SceneIndexArray
				dw	0
	SceneBaseAddr
				db	0
	;}


#endasm