	struct RECT
	{
		unsigned char X,Y,Width,Height;	
	};

	struct VPORT
	{
		unsigned char Left,Top,Right,Bottom;	
	};

	struct GOBJ
	{
		int X,Y;			// (*) A sprite 16 bites előjeles koordinátája.
		unsigned char SprInd;		// (*) A sprite indexe az exportált munkamenetben
		unsigned char Flag;		// (*) 0. bit: jelzi, hogy a sprite be van-e kapcsolva, a 7. pedig, ha tükrözni kell.
		char *SprBackAddr;		// (*) A sprite háttér mentése számára lefoglalt mem. blokk kezdőcíme. Ha nem kell menteni a hátteret akkor az értéke 0!
		char *SprPalAddr;		// (*) A sprite palettájának címe. Ha nincs paletta, akkor értéke 0!
		int (*spritefunc)();		// (*) A sprite kirajzoló rutin kezdőcíme
		unsigned char SprWidth;		// A sprite szélessége
		unsigned char SprHeight;	// A sprite magassága
		unsigned char SprIndRef;	// Sprite index referencia. Azért kell, hogy el tudjuk dönteni kell-e újra inicializálni a sprite alap adatait (pl. RawAddr)
		char *SprRawAddr;		// Az adott sprite forrás adatai
		char *SprScrAddr;		// A sprite vágás utáni kezdőcíme a képernyőn v. háttér bufferben
		unsigned char SprClipSkipRow;	// A sprite felső vágásánál ezen a változón tárolódik, hogy hány sort kell felül kihagynia a sprite kirajzolónak
		struct RECT SprClip;		// A sprite vágás utáni dimenziói
		struct RECT SprPrevClip;	// A sprite előző fázisban értelmezett vágás utáni dimenziói
		unsigned char SprClipFlag;	// A sprite vágási állapotát tárolja le a sprite kirakónak
	};

main()
{
	DbInitGameLibEx(GRAPH_MODE4, 0, 0,0);
	
	DbPageFullRamVid();
	DbAssignRenderToVideo();

	DbInitFont(Geeby4_8x16);
	
	SetPalette4(PAL_BLACK, PAL_DARKRED, PAL_BLUE, PAL_DARKYELLOW);

	DbSetFontParam(FNT_BACKCOLOR, FNT_TRANSPARENT);
	DbSetFontParam(FNT_COLOR, 3);

	DbFillBox(5, 40, 20, 30, 1);

	DbDrawStr(10, 50, "ALMAFA\nBABA");

	WaitForKeyPress(KEY_4);
	DbCloseGameLib();
}

#asm	/* NE VÁLTOZTASD MEG! */
	qGeeby4_8x16
				db	2	; betű szélesség
				db	16	; betű magasság
	@FntAddrTable
				dw	@fnt1,@fnt2,@fnt3,@fnt4,@fnt5,@fnt6,0,@fnt8,@fnt9,@fnt10,0,@fnt12,@fnt13,@fnt14,@fnt15,@fnt16
				dw	@fnt17,@fnt18,@fnt19,@fnt20,@fnt21,@fnt22,@fnt23,@fnt24,@fnt25,@fnt26,@fnt27,@fnt28,@fnt29,@fnt30,@fnt31,@fnt32
				dw	@fnt33,@fnt34,@fnt35,@fnt36,@fnt37,@fnt38,@fnt39,@fnt40,@fnt41,@fnt42,@fnt43,@fnt44,@fnt45,@fnt46,0,@fnt48
				dw	@fnt49,@fnt50,@fnt51,@fnt52,@fnt53,@fnt54,@fnt55,@fnt56,@fnt57,@fnt58,@fnt59,@fnt60,@fnt61,@fnt62,@fnt63,@fnt64
				dw	@fnt65,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
				dw	0,0,0,0,0,0,0,0,0,0,0,@fnt92,@fnt93,@fnt94,@fnt95,0
				dw	@fnt97,@fnt98,@fnt99,@fnt100,@fnt101,@fnt102,@fnt103,@fnt104,@fnt105,0,0,0,0,0,0,0
	@fnt1				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

	@fnt2				db	0,0,17,204,17,204,17,204,17,204,17,204,17,136,17,136,0,0,0,0,0,0,17,136,17,136,17,136,17,136,0,0

	@fnt3				db	0,0,0,0,102,204,102,204,102,204,102,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

	@fnt4				db	0,0,0,0,0,0,0,0,34,136,34,136,119,204,119,204,34,136,119,204,119,204,34,136,34,136,0,0,0,0,0,0

	@fnt5				db	0,0,51,0,51,0,255,204,255,204,238,0,238,0,255,204,255,204,17,204,17,204,255,204,255,204,51,0,51,0,0,0

	@fnt6				db	0,0,0,0,102,102,102,102,102,238,102,238,17,204,17,204,51,136,51,136,119,102,119,102,102,102,102,102,0,0,0,0

	@fnt8				db	0,0,0,0,17,136,17,136,17,136,17,136,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

	@fnt9				db	0,0,17,136,51,136,51,136,51,0,34,0,34,0,34,0,34,0,34,0,34,0,51,0,51,136,51,136,17,136,0,0

	@fnt10				db	0,0,17,136,17,204,17,204,0,204,0,68,0,68,0,68,0,68,0,68,0,68,0,204,17,204,17,204,17,136,0,0

	@fnt12				db	0,0,0,0,0,0,0,0,0,136,0,136,0,136,0,136,51,238,51,238,0,136,0,136,0,136,0,136,0,0,0,0

	@fnt13				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,136,17,136,17,136,17,136,0,136,0,0

	@fnt14				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,51,204,51,204,0,0,0,0,0,0,0,0,0,0,0,0

	@fnt15				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,136,17,136,17,136,17,136,0,0,0,0

	@fnt16				db	0,0,0,0,0,102,0,102,0,238,0,238,17,204,17,204,51,136,51,136,119,0,119,0,102,0,102,0,0,0,0,0

	@fnt17				db	0,0,119,238,119,238,119,238,102,102,119,102,119,238,119,238,102,238,102,102,119,238,119,238,119,238,119,238,119,238,0,0

	@fnt18				db	0,0,119,136,119,136,119,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,119,238,119,238,119,238,119,238,0,0

	@fnt19				db	0,0,119,238,119,238,0,238,0,238,119,238,119,238,119,0,102,0,102,0,119,0,119,238,119,238,119,238,119,238,0,0

	@fnt20				db	0,0,119,238,119,238,0,238,0,238,17,204,17,238,0,238,0,102,0,102,0,238,119,238,119,238,119,238,119,238,0,0

	@fnt21				db	0,0,102,204,102,204,102,204,102,204,119,238,119,238,0,204,0,204,0,204,0,204,0,204,0,204,0,204,0,204,0,0

	@fnt22				db	0,0,119,238,119,238,119,0,119,0,119,238,119,238,0,238,0,102,0,102,0,238,119,238,119,238,119,238,119,238,0,0

	@fnt23				db	0,0,119,204,119,204,119,0,119,0,119,238,119,238,119,238,102,102,102,102,119,238,119,238,119,238,119,238,119,238,0,0

	@fnt24				db	0,0,119,238,119,238,0,102,0,238,0,238,17,238,17,204,51,204,51,136,51,136,51,136,51,136,51,136,51,136,0,0

	@fnt25				db	0,0,119,238,119,238,119,238,102,102,119,238,119,238,119,238,102,102,102,102,119,238,119,238,119,238,119,238,119,238,0,0

	@fnt26				db	0,0,119,238,119,238,119,238,102,102,102,102,119,238,119,238,119,238,0,238,0,238,51,238,51,238,51,238,51,238,0,0

	@fnt27				db	0,0,0,0,0,0,0,0,0,0,0,0,17,136,17,136,17,136,0,0,17,136,17,136,17,136,0,0,0,0,0,0

	@fnt28				db	0,0,0,0,0,0,0,0,0,0,0,0,17,136,17,136,17,136,0,0,17,136,17,136,17,136,0,136,0,136,0,0

	@fnt29				db	0,0,0,0,0,0,0,68,0,204,17,136,51,0,102,0,102,0,51,0,17,136,0,204,0,68,0,0,0,0,0,0

	@fnt30				db	0,0,0,0,0,0,0,0,0,0,119,238,119,238,0,0,119,238,119,238,0,0,0,0,0,0,0,0,0,0,0,0

	@fnt31				db	0,0,0,0,0,0,34,0,51,0,17,136,0,204,0,102,0,102,0,204,17,136,51,0,34,0,0,0,0,0,0,0

	@fnt32				db	0,0,119,238,119,238,0,238,0,238,51,238,51,238,51,0,51,0,51,0,0,0,0,0,51,0,51,0,0,0,0,0

	@fnt33				db	0,0,119,238,119,238,119,102,102,34,102,34,102,238,102,238,102,238,102,0,119,0,119,204,119,204,119,204,119,204,0,0

	@fnt34				db	0,0,119,238,119,238,102,34,102,34,119,238,119,238,102,34,102,34,102,34,102,34,102,34,102,34,102,34,102,34,0,0

	@fnt35				db	0,0,119,238,119,238,102,102,102,102,119,238,119,238,102,102,102,34,102,34,102,102,119,238,119,238,119,238,119,238,0,0

	@fnt36				db	0,0,119,238,119,238,119,0,102,0,102,0,102,0,102,0,102,0,102,0,119,0,119,238,119,238,119,238,119,238,0,0

	@fnt37				db	0,0,119,204,119,238,102,238,102,102,102,34,102,34,102,34,102,34,102,34,102,102,119,238,119,238,119,238,119,238,0,0

	@fnt38				db	0,0,119,238,119,238,119,0,102,0,119,136,119,136,102,0,102,0,102,0,119,0,119,238,119,238,119,238,119,238,0,0

	@fnt39				db	0,0,119,238,119,238,102,0,102,0,119,136,119,136,102,0,102,0,102,0,102,0,102,0,102,0,102,0,102,0,0,0

	@fnt40				db	0,0,119,238,119,238,119,0,102,0,102,238,102,238,102,34,102,34,102,34,119,34,119,238,119,238,119,238,119,238,0,0

	@fnt41				db	0,0,102,34,102,34,102,34,102,34,119,238,119,238,102,34,102,34,102,34,102,34,102,34,102,34,102,34,102,34,0,0

	@fnt42				db	0,0,119,238,119,238,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,119,238,119,238,0,0

	@fnt43				db	0,0,119,238,119,238,0,238,0,102,0,102,0,102,0,102,0,102,102,102,102,102,119,238,119,238,119,238,119,238,0,0

	@fnt44				db	0,0,102,34,102,34,102,102,102,238,119,204,119,238,102,238,102,102,102,34,102,34,102,34,102,34,102,34,102,34,0,0

	@fnt45				db	0,0,102,0,102,0,102,0,102,0,102,0,102,0,102,0,102,0,102,0,119,0,119,238,119,238,119,238,119,238,0,0

	@fnt46				db	0,0,119,238,119,238,119,238,102,170,102,170,102,170,102,170,102,34,102,34,102,34,102,34,102,34,102,34,102,34,0,0

	@fnt48				db	0,0,119,238,119,238,119,102,102,34,102,34,102,34,102,34,102,34,102,34,119,102,119,238,119,238,119,238,119,238,0,0

	@fnt49				db	0,0,119,238,119,238,102,238,102,238,119,238,119,238,102,0,102,0,102,0,102,0,102,0,102,0,102,0,102,0,0,0

	@fnt50				db	0,0,119,238,119,238,119,102,102,34,102,34,102,34,102,34,102,34,102,34,102,170,119,238,119,238,119,238,119,102,0,0

	@fnt51				db	0,0,119,238,119,238,102,238,102,238,119,238,119,238,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,0,0

	@fnt52				db	0,0,119,238,119,238,119,0,119,0,119,238,119,238,0,238,0,102,0,102,0,238,119,238,119,238,119,238,119,238,0,0

	@fnt53				db	0,0,119,238,119,238,51,204,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,0,0

	@fnt54				db	0,0,102,34,102,34,102,34,102,34,102,34,102,34,102,34,102,34,102,34,119,102,119,238,119,238,119,238,119,238,0,0

	@fnt55				db	0,0,102,34,102,34,102,34,102,34,102,34,102,34,102,34,102,34,102,34,119,102,119,102,51,204,51,204,17,136,0,0

	@fnt56				db	0,0,102,34,102,34,102,34,102,34,102,34,102,170,102,170,102,170,102,170,119,238,119,238,119,238,119,238,119,238,0,0

	@fnt57				db	0,0,102,102,102,102,102,102,119,238,119,238,51,204,119,238,119,238,102,102,102,102,102,102,102,102,102,102,102,102,0,0

	@fnt58				db	0,0,102,34,102,34,102,34,119,34,119,238,119,238,0,34,0,34,0,34,0,102,119,238,119,238,119,238,119,238,0,0

	@fnt59				db	0,0,119,238,119,238,0,238,0,238,0,238,17,204,17,204,51,136,51,136,119,136,119,238,119,238,119,238,119,238,0,0

	@fnt60				db	0,0,51,204,51,204,51,0,51,0,51,0,51,0,51,0,51,0,51,0,51,0,51,0,51,0,51,204,51,204,0,0

	@fnt61				db	0,0,0,0,102,0,102,0,119,0,119,0,51,136,51,136,17,204,17,204,0,238,0,238,0,102,0,102,0,0,0,0

	@fnt62				db	0,0,51,204,51,204,0,204,0,204,0,204,0,204,0,204,0,204,0,204,0,204,0,204,0,204,51,204,51,204,0,0

	@fnt63				db	0,0,17,136,51,204,102,102,68,34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

	@fnt64				db	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,119,238,119,238,0,0

	@fnt65				db	0,0,0,0,17,136,17,136,0,204,0,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

	@fnt92				db	0,0,0,204,17,136,17,0,17,0,17,0,34,0,68,0,68,0,34,0,17,0,17,0,17,0,17,136,0,204,0,0

	@fnt93				db	0,0,0,0,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,17,136,0,0,0,0

	@fnt94				db	0,0,51,0,17,136,0,136,0,136,0,136,0,68,0,34,0,34,0,68,0,136,0,136,0,136,17,136,51,0,0,0

	@fnt95				db	0,0,0,0,0,0,0,0,0,0,0,0,51,34,119,238,68,204,0,0,0,0,0,0,0,0,0,0,0,0,0,0

	@fnt97				db	0,0,0,204,17,136,0,0,119,238,119,238,102,34,102,34,119,238,119,238,102,34,102,34,102,34,102,34,102,34,0,0

	@fnt98				db	0,0,0,204,17,136,0,0,119,238,119,238,119,0,119,136,119,136,102,0,119,0,119,238,119,238,119,238,119,238,0,0

	@fnt99				db	0,0,0,204,17,136,0,0,119,238,119,238,17,136,17,136,17,136,17,136,17,136,17,136,17,136,119,238,119,238,0,0

	@fnt100				db	0,0,0,204,17,136,0,0,119,238,119,238,119,102,102,34,102,34,102,34,119,102,119,238,119,238,119,238,119,238,0,0

	@fnt101				db	0,0,102,34,102,34,0,0,119,238,119,238,119,102,102,34,102,34,119,102,119,238,119,238,119,238,119,238,119,238,0,0

	@fnt102				db	0,0,51,102,102,204,0,0,119,238,119,238,119,102,102,34,102,34,102,34,119,102,119,238,119,238,119,238,119,238,0,0

	@fnt103				db	0,0,0,204,17,136,0,0,102,34,102,34,102,34,102,34,102,34,102,34,119,102,119,238,119,238,119,238,119,238,0,0

	@fnt104				db	0,0,102,34,102,34,0,0,102,34,102,34,102,34,102,34,102,34,102,34,119,102,119,238,119,238,119,238,119,238,0,0

	@fnt105				db	0,0,51,102,102,204,0,0,102,34,102,34,102,34,102,34,102,34,102,34,119,102,119,238,119,238,119,238,119,238,0,0

				endp
#endasm
